# WARNING: Please don't edit this file. It was generated by Python/WinRT v3.1.0

import datetime
import sys
import types
import typing
import uuid as _uuid
from builtins import property as _property

import winrt._winrt
import winrt.system
import winrt.windows.devices.enumeration as windows_devices_enumeration
import winrt.windows.foundation as windows_foundation
import winrt.windows.foundation.collections as windows_foundation_collections
import winrt.windows.graphics.directx.direct3d11 as windows_graphics_directx_direct3d11
import winrt.windows.graphics.imaging as windows_graphics_imaging
import winrt.windows.media as windows_media
import winrt.windows.media.capture as windows_media_capture
import winrt.windows.media.devices as windows_media_devices
import winrt.windows.media.devices.core as windows_media_devices_core
import winrt.windows.media.mediaproperties as windows_media_mediaproperties
import winrt.windows.perception.spatial as windows_perception_spatial
import winrt.windows.storage.streams as windows_storage_streams
import winrt.windows.ui.windowmanagement as windows_ui_windowmanagement

from winrt.windows.media.capture.frames import MediaFrameReaderAcquisitionMode, MediaFrameReaderStartStatus, MediaFrameSourceGetPropertyStatus, MediaFrameSourceKind, MediaFrameSourceSetPropertyStatus, MultiSourceMediaFrameReaderStartStatus

Self = typing.TypeVar('Self')

@typing.final
class AudioMediaFrame(winrt.system.Object):
    # Windows.Media.AudioFrame Windows.Media.Capture.Frames.AudioMediaFrame::GetAudioFrame()
    def get_audio_frame(self) -> windows_media.AudioFrame: ...
    # Windows.Media.MediaProperties.AudioEncodingProperties Windows.Media.Capture.Frames.AudioMediaFrame::get_AudioEncodingProperties()
    @_property
    def audio_encoding_properties(self) -> windows_media_mediaproperties.AudioEncodingProperties: ...
    # Windows.Media.Capture.Frames.MediaFrameReference Windows.Media.Capture.Frames.AudioMediaFrame::get_FrameReference()
    @_property
    def frame_reference(self) -> MediaFrameReference: ...

@typing.final
class BufferMediaFrame(winrt.system.Object):
    # Windows.Storage.Streams.IBuffer Windows.Media.Capture.Frames.BufferMediaFrame::get_Buffer()
    @_property
    def buffer(self) -> windows_storage_streams.IBuffer: ...
    # Windows.Media.Capture.Frames.MediaFrameReference Windows.Media.Capture.Frames.BufferMediaFrame::get_FrameReference()
    @_property
    def frame_reference(self) -> MediaFrameReference: ...

@typing.final
class DepthMediaFrame(winrt.system.Object):
    # Windows.Media.Devices.Core.DepthCorrelatedCoordinateMapper Windows.Media.Capture.Frames.DepthMediaFrame::TryCreateCoordinateMapper(Windows.Media.Devices.Core.CameraIntrinsics,Windows.Perception.Spatial.SpatialCoordinateSystem)
    def try_create_coordinate_mapper(self, camera_intrinsics: windows_media_devices_core.CameraIntrinsics, coordinate_system: windows_perception_spatial.SpatialCoordinateSystem, /) -> typing.Optional[windows_media_devices_core.DepthCorrelatedCoordinateMapper]: ...
    # Windows.Media.Capture.Frames.DepthMediaFrameFormat Windows.Media.Capture.Frames.DepthMediaFrame::get_DepthFormat()
    @_property
    def depth_format(self) -> DepthMediaFrameFormat: ...
    # Windows.Media.Capture.Frames.MediaFrameReference Windows.Media.Capture.Frames.DepthMediaFrame::get_FrameReference()
    @_property
    def frame_reference(self) -> MediaFrameReference: ...
    # Windows.Media.Capture.Frames.VideoMediaFrame Windows.Media.Capture.Frames.DepthMediaFrame::get_VideoMediaFrame()
    @_property
    def video_media_frame(self) -> VideoMediaFrame: ...
    # System.UInt32 Windows.Media.Capture.Frames.DepthMediaFrame::get_MaxReliableDepth()
    @_property
    def max_reliable_depth(self) -> winrt.system.UInt32: ...
    # System.UInt32 Windows.Media.Capture.Frames.DepthMediaFrame::get_MinReliableDepth()
    @_property
    def min_reliable_depth(self) -> winrt.system.UInt32: ...

@typing.final
class DepthMediaFrameFormat(winrt.system.Object):
    # System.Double Windows.Media.Capture.Frames.DepthMediaFrameFormat::get_DepthScaleInMeters()
    @_property
    def depth_scale_in_meters(self) -> winrt.system.Double: ...
    # Windows.Media.Capture.Frames.VideoMediaFrameFormat Windows.Media.Capture.Frames.DepthMediaFrameFormat::get_VideoFormat()
    @_property
    def video_format(self) -> VideoMediaFrameFormat: ...

@typing.final
class InfraredMediaFrame(winrt.system.Object):
    # Windows.Media.Capture.Frames.MediaFrameReference Windows.Media.Capture.Frames.InfraredMediaFrame::get_FrameReference()
    @_property
    def frame_reference(self) -> MediaFrameReference: ...
    # System.Boolean Windows.Media.Capture.Frames.InfraredMediaFrame::get_IsIlluminated()
    @_property
    def is_illuminated(self) -> bool: ...
    # Windows.Media.Capture.Frames.VideoMediaFrame Windows.Media.Capture.Frames.InfraredMediaFrame::get_VideoMediaFrame()
    @_property
    def video_media_frame(self) -> VideoMediaFrame: ...

@typing.final
class MediaFrameArrivedEventArgs(winrt.system.Object):
    pass

@typing.final
class MediaFrameFormat(winrt.system.Object):
    # Windows.Media.MediaProperties.MediaRatio Windows.Media.Capture.Frames.MediaFrameFormat::get_FrameRate()
    @_property
    def frame_rate(self) -> windows_media_mediaproperties.MediaRatio: ...
    # System.String Windows.Media.Capture.Frames.MediaFrameFormat::get_MajorType()
    @_property
    def major_type(self) -> str: ...
    # Windows.Foundation.Collections.IMapView`2<System.Guid,System.Object> Windows.Media.Capture.Frames.MediaFrameFormat::get_Properties()
    @_property
    def properties(self) -> typing.Mapping[_uuid.UUID, winrt.system.Object]: ...
    # System.String Windows.Media.Capture.Frames.MediaFrameFormat::get_Subtype()
    @_property
    def subtype(self) -> str: ...
    # Windows.Media.Capture.Frames.VideoMediaFrameFormat Windows.Media.Capture.Frames.MediaFrameFormat::get_VideoFormat()
    @_property
    def video_format(self) -> VideoMediaFrameFormat: ...
    # Windows.Media.MediaProperties.AudioEncodingProperties Windows.Media.Capture.Frames.MediaFrameFormat::get_AudioEncodingProperties()
    @_property
    def audio_encoding_properties(self) -> windows_media_mediaproperties.AudioEncodingProperties: ...

@typing.final
class MediaFrameReader(winrt.system.Object, windows_foundation.IClosable):
    def __enter__(self: Self) -> Self: ...
    def __exit__(self, exc_type: typing.Optional[typing.Type[BaseException]], exc_value: typing.Optional[BaseException], traceback: typing.Optional[types.TracebackType]) -> None: ...
    # System.Void Windows.Media.Capture.Frames.MediaFrameReader::Close()
    def close(self) -> None: ...
    # Windows.Foundation.IAsyncOperation`1<Windows.Media.Capture.Frames.MediaFrameReaderStartStatus> Windows.Media.Capture.Frames.MediaFrameReader::StartAsync()
    def start_async(self) -> windows_foundation.IAsyncOperation[MediaFrameReaderStartStatus]: ...
    # Windows.Foundation.IAsyncAction Windows.Media.Capture.Frames.MediaFrameReader::StopAsync()
    def stop_async(self) -> windows_foundation.IAsyncAction: ...
    # Windows.Media.Capture.Frames.MediaFrameReference Windows.Media.Capture.Frames.MediaFrameReader::TryAcquireLatestFrame()
    def try_acquire_latest_frame(self) -> typing.Optional[MediaFrameReference]: ...
    # Windows.Foundation.EventRegistrationToken Windows.Media.Capture.Frames.MediaFrameReader::add_FrameArrived(Windows.Foundation.TypedEventHandler`2<Windows.Media.Capture.Frames.MediaFrameReader,Windows.Media.Capture.Frames.MediaFrameArrivedEventArgs>)
    def add_frame_arrived(self, handler: windows_foundation.TypedEventHandler[MediaFrameReader, MediaFrameArrivedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.Media.Capture.Frames.MediaFrameReader::remove_FrameArrived(Windows.Foundation.EventRegistrationToken)
    def remove_frame_arrived(self, token: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Media.Capture.Frames.MediaFrameReaderAcquisitionMode Windows.Media.Capture.Frames.MediaFrameReader::get_AcquisitionMode()
    @_property
    def acquisition_mode(self) -> MediaFrameReaderAcquisitionMode: ...
    # System.Void Windows.Media.Capture.Frames.MediaFrameReader::put_AcquisitionMode(Windows.Media.Capture.Frames.MediaFrameReaderAcquisitionMode)
    @acquisition_mode.setter
    def acquisition_mode(self, value: MediaFrameReaderAcquisitionMode) -> None: ...

@typing.final
class MediaFrameReference(winrt.system.Object, windows_foundation.IClosable):
    def __enter__(self: Self) -> Self: ...
    def __exit__(self, exc_type: typing.Optional[typing.Type[BaseException]], exc_value: typing.Optional[BaseException], traceback: typing.Optional[types.TracebackType]) -> None: ...
    # System.Void Windows.Media.Capture.Frames.MediaFrameReference::Close()
    def close(self) -> None: ...
    # Windows.Media.Capture.Frames.BufferMediaFrame Windows.Media.Capture.Frames.MediaFrameReference::get_BufferMediaFrame()
    @_property
    def buffer_media_frame(self) -> BufferMediaFrame: ...
    # Windows.Perception.Spatial.SpatialCoordinateSystem Windows.Media.Capture.Frames.MediaFrameReference::get_CoordinateSystem()
    @_property
    def coordinate_system(self) -> windows_perception_spatial.SpatialCoordinateSystem: ...
    # Windows.Foundation.TimeSpan Windows.Media.Capture.Frames.MediaFrameReference::get_Duration()
    @_property
    def duration(self) -> datetime.timedelta: ...
    # Windows.Media.Capture.Frames.MediaFrameFormat Windows.Media.Capture.Frames.MediaFrameReference::get_Format()
    @_property
    def format(self) -> MediaFrameFormat: ...
    # Windows.Foundation.Collections.IMapView`2<System.Guid,System.Object> Windows.Media.Capture.Frames.MediaFrameReference::get_Properties()
    @_property
    def properties(self) -> typing.Mapping[_uuid.UUID, winrt.system.Object]: ...
    # Windows.Media.Capture.Frames.MediaFrameSourceKind Windows.Media.Capture.Frames.MediaFrameReference::get_SourceKind()
    @_property
    def source_kind(self) -> MediaFrameSourceKind: ...
    # Windows.Foundation.IReference`1<Windows.Foundation.TimeSpan> Windows.Media.Capture.Frames.MediaFrameReference::get_SystemRelativeTime()
    @_property
    def system_relative_time(self) -> typing.Optional[datetime.timedelta]: ...
    # Windows.Media.Capture.Frames.VideoMediaFrame Windows.Media.Capture.Frames.MediaFrameReference::get_VideoMediaFrame()
    @_property
    def video_media_frame(self) -> VideoMediaFrame: ...
    # Windows.Media.Capture.Frames.AudioMediaFrame Windows.Media.Capture.Frames.MediaFrameReference::get_AudioMediaFrame()
    @_property
    def audio_media_frame(self) -> AudioMediaFrame: ...

@typing.final
class MediaFrameSource(winrt.system.Object):
    # Windows.Foundation.IAsyncAction Windows.Media.Capture.Frames.MediaFrameSource::SetFormatAsync(Windows.Media.Capture.Frames.MediaFrameFormat)
    def set_format_async(self, format: MediaFrameFormat, /) -> windows_foundation.IAsyncAction: ...
    # Windows.Media.Devices.Core.CameraIntrinsics Windows.Media.Capture.Frames.MediaFrameSource::TryGetCameraIntrinsics(Windows.Media.Capture.Frames.MediaFrameFormat)
    def try_get_camera_intrinsics(self, format: MediaFrameFormat, /) -> typing.Optional[windows_media_devices_core.CameraIntrinsics]: ...
    # Windows.Foundation.EventRegistrationToken Windows.Media.Capture.Frames.MediaFrameSource::add_FormatChanged(Windows.Foundation.TypedEventHandler`2<Windows.Media.Capture.Frames.MediaFrameSource,System.Object>)
    def add_format_changed(self, handler: windows_foundation.TypedEventHandler[MediaFrameSource, winrt.system.Object], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.Media.Capture.Frames.MediaFrameSource::remove_FormatChanged(Windows.Foundation.EventRegistrationToken)
    def remove_format_changed(self, token: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Media.Capture.Frames.MediaFrameSourceController Windows.Media.Capture.Frames.MediaFrameSource::get_Controller()
    @_property
    def controller(self) -> MediaFrameSourceController: ...
    # Windows.Media.Capture.Frames.MediaFrameFormat Windows.Media.Capture.Frames.MediaFrameSource::get_CurrentFormat()
    @_property
    def current_format(self) -> MediaFrameFormat: ...
    # Windows.Media.Capture.Frames.MediaFrameSourceInfo Windows.Media.Capture.Frames.MediaFrameSource::get_Info()
    @_property
    def info(self) -> MediaFrameSourceInfo: ...
    # Windows.Foundation.Collections.IVectorView`1<Windows.Media.Capture.Frames.MediaFrameFormat> Windows.Media.Capture.Frames.MediaFrameSource::get_SupportedFormats()
    @_property
    def supported_formats(self) -> typing.Sequence[MediaFrameFormat]: ...

@typing.final
class MediaFrameSourceController(winrt.system.Object):
    # Windows.Foundation.IAsyncOperation`1<Windows.Media.Capture.Frames.MediaFrameSourceGetPropertyResult> Windows.Media.Capture.Frames.MediaFrameSourceController::GetPropertyAsync(System.String)
    def get_property_async(self, property_id: str, /) -> windows_foundation.IAsyncOperation[MediaFrameSourceGetPropertyResult]: ...
    # Windows.Foundation.IAsyncOperation`1<Windows.Media.Capture.Frames.MediaFrameSourceGetPropertyResult> Windows.Media.Capture.Frames.MediaFrameSourceController::GetPropertyByExtendedIdAsync(System.Byte[],Windows.Foundation.IReference`1<System.UInt32>)
    def get_property_by_extended_id_async(self, extended_property_id: typing.Union[winrt.system.Array[winrt.system.UInt8], winrt.system.ReadableBuffer], max_property_value_size: typing.Optional[winrt.system.UInt32], /) -> windows_foundation.IAsyncOperation[MediaFrameSourceGetPropertyResult]: ...
    # Windows.Foundation.IAsyncOperation`1<Windows.Media.Capture.Frames.MediaFrameSourceSetPropertyStatus> Windows.Media.Capture.Frames.MediaFrameSourceController::SetPropertyAsync(System.String,System.Object)
    def set_property_async(self, property_id: str, property_value: winrt.system.Object, /) -> windows_foundation.IAsyncOperation[MediaFrameSourceSetPropertyStatus]: ...
    # Windows.Foundation.IAsyncOperation`1<Windows.Media.Capture.Frames.MediaFrameSourceSetPropertyStatus> Windows.Media.Capture.Frames.MediaFrameSourceController::SetPropertyByExtendedIdAsync(System.Byte[],System.Byte[])
    def set_property_by_extended_id_async(self, extended_property_id: typing.Union[winrt.system.Array[winrt.system.UInt8], winrt.system.ReadableBuffer], property_value: typing.Union[winrt.system.Array[winrt.system.UInt8], winrt.system.ReadableBuffer], /) -> windows_foundation.IAsyncOperation[MediaFrameSourceSetPropertyStatus]: ...
    # Windows.Media.Devices.VideoDeviceController Windows.Media.Capture.Frames.MediaFrameSourceController::get_VideoDeviceController()
    @_property
    def video_device_controller(self) -> windows_media_devices.VideoDeviceController: ...
    # Windows.Media.Devices.AudioDeviceController Windows.Media.Capture.Frames.MediaFrameSourceController::get_AudioDeviceController()
    @_property
    def audio_device_controller(self) -> windows_media_devices.AudioDeviceController: ...

@typing.final
class MediaFrameSourceGetPropertyResult(winrt.system.Object):
    # Windows.Media.Capture.Frames.MediaFrameSourceGetPropertyStatus Windows.Media.Capture.Frames.MediaFrameSourceGetPropertyResult::get_Status()
    @_property
    def status(self) -> MediaFrameSourceGetPropertyStatus: ...
    # System.Object Windows.Media.Capture.Frames.MediaFrameSourceGetPropertyResult::get_Value()
    @_property
    def value(self) -> winrt.system.Object: ...

@typing.final
class MediaFrameSourceGroup_Static(winrt._winrt.IInspectable_Static):
    # Windows.Foundation.IAsyncOperation`1<Windows.Foundation.Collections.IVectorView`1<Windows.Media.Capture.Frames.MediaFrameSourceGroup>> Windows.Media.Capture.Frames.MediaFrameSourceGroup::FindAllAsync()
    def find_all_async(cls) -> windows_foundation.IAsyncOperation[typing.Sequence[MediaFrameSourceGroup]]: ...
    # Windows.Foundation.IAsyncOperation`1<Windows.Media.Capture.Frames.MediaFrameSourceGroup> Windows.Media.Capture.Frames.MediaFrameSourceGroup::FromIdAsync(System.String)
    def from_id_async(cls, id: str, /) -> windows_foundation.IAsyncOperation[MediaFrameSourceGroup]: ...
    # System.String Windows.Media.Capture.Frames.MediaFrameSourceGroup::GetDeviceSelector()
    def get_device_selector(cls) -> str: ...

@typing.final
class MediaFrameSourceGroup(winrt.system.Object, metaclass=MediaFrameSourceGroup_Static):
    # System.String Windows.Media.Capture.Frames.MediaFrameSourceGroup::get_DisplayName()
    @_property
    def display_name(self) -> str: ...
    # System.String Windows.Media.Capture.Frames.MediaFrameSourceGroup::get_Id()
    @_property
    def id(self) -> str: ...
    # Windows.Foundation.Collections.IVectorView`1<Windows.Media.Capture.Frames.MediaFrameSourceInfo> Windows.Media.Capture.Frames.MediaFrameSourceGroup::get_SourceInfos()
    @_property
    def source_infos(self) -> typing.Sequence[MediaFrameSourceInfo]: ...

@typing.final
class MediaFrameSourceInfo(winrt.system.Object):
    # Windows.Devices.Enumeration.Panel Windows.Media.Capture.Frames.MediaFrameSourceInfo::GetRelativePanel(Windows.UI.WindowManagement.DisplayRegion)
    def get_relative_panel(self, display_region: windows_ui_windowmanagement.DisplayRegion, /) -> windows_devices_enumeration.Panel: ...
    # Windows.Perception.Spatial.SpatialCoordinateSystem Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_CoordinateSystem()
    @_property
    def coordinate_system(self) -> windows_perception_spatial.SpatialCoordinateSystem: ...
    # Windows.Devices.Enumeration.DeviceInformation Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_DeviceInformation()
    @_property
    def device_information(self) -> windows_devices_enumeration.DeviceInformation: ...
    # System.String Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_Id()
    @_property
    def id(self) -> str: ...
    # Windows.Media.Capture.MediaStreamType Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_MediaStreamType()
    @_property
    def media_stream_type(self) -> windows_media_capture.MediaStreamType: ...
    # Windows.Foundation.Collections.IMapView`2<System.Guid,System.Object> Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_Properties()
    @_property
    def properties(self) -> typing.Mapping[_uuid.UUID, winrt.system.Object]: ...
    # Windows.Media.Capture.Frames.MediaFrameSourceGroup Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_SourceGroup()
    @_property
    def source_group(self) -> MediaFrameSourceGroup: ...
    # Windows.Media.Capture.Frames.MediaFrameSourceKind Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_SourceKind()
    @_property
    def source_kind(self) -> MediaFrameSourceKind: ...
    # System.String Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_ProfileId()
    @_property
    def profile_id(self) -> str: ...
    # Windows.Foundation.Collections.IVectorView`1<Windows.Media.Capture.MediaCaptureVideoProfileMediaDescription> Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_VideoProfileMediaDescription()
    @_property
    def video_profile_media_description(self) -> typing.Sequence[windows_media_capture.MediaCaptureVideoProfileMediaDescription]: ...
    # System.Boolean Windows.Media.Capture.Frames.MediaFrameSourceInfo::get_IsShareable()
    @_property
    def is_shareable(self) -> bool: ...

@typing.final
class MultiSourceMediaFrameArrivedEventArgs(winrt.system.Object):
    pass

@typing.final
class MultiSourceMediaFrameReader(winrt.system.Object, windows_foundation.IClosable):
    def __enter__(self: Self) -> Self: ...
    def __exit__(self, exc_type: typing.Optional[typing.Type[BaseException]], exc_value: typing.Optional[BaseException], traceback: typing.Optional[types.TracebackType]) -> None: ...
    # System.Void Windows.Media.Capture.Frames.MultiSourceMediaFrameReader::Close()
    def close(self) -> None: ...
    # Windows.Foundation.IAsyncOperation`1<Windows.Media.Capture.Frames.MultiSourceMediaFrameReaderStartStatus> Windows.Media.Capture.Frames.MultiSourceMediaFrameReader::StartAsync()
    def start_async(self) -> windows_foundation.IAsyncOperation[MultiSourceMediaFrameReaderStartStatus]: ...
    # Windows.Foundation.IAsyncAction Windows.Media.Capture.Frames.MultiSourceMediaFrameReader::StopAsync()
    def stop_async(self) -> windows_foundation.IAsyncAction: ...
    # Windows.Media.Capture.Frames.MultiSourceMediaFrameReference Windows.Media.Capture.Frames.MultiSourceMediaFrameReader::TryAcquireLatestFrame()
    def try_acquire_latest_frame(self) -> typing.Optional[MultiSourceMediaFrameReference]: ...
    # Windows.Foundation.EventRegistrationToken Windows.Media.Capture.Frames.MultiSourceMediaFrameReader::add_FrameArrived(Windows.Foundation.TypedEventHandler`2<Windows.Media.Capture.Frames.MultiSourceMediaFrameReader,Windows.Media.Capture.Frames.MultiSourceMediaFrameArrivedEventArgs>)
    def add_frame_arrived(self, handler: windows_foundation.TypedEventHandler[MultiSourceMediaFrameReader, MultiSourceMediaFrameArrivedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.Media.Capture.Frames.MultiSourceMediaFrameReader::remove_FrameArrived(Windows.Foundation.EventRegistrationToken)
    def remove_frame_arrived(self, token: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Media.Capture.Frames.MediaFrameReaderAcquisitionMode Windows.Media.Capture.Frames.MultiSourceMediaFrameReader::get_AcquisitionMode()
    @_property
    def acquisition_mode(self) -> MediaFrameReaderAcquisitionMode: ...
    # System.Void Windows.Media.Capture.Frames.MultiSourceMediaFrameReader::put_AcquisitionMode(Windows.Media.Capture.Frames.MediaFrameReaderAcquisitionMode)
    @acquisition_mode.setter
    def acquisition_mode(self, value: MediaFrameReaderAcquisitionMode) -> None: ...

@typing.final
class MultiSourceMediaFrameReference(winrt.system.Object, windows_foundation.IClosable):
    def __enter__(self: Self) -> Self: ...
    def __exit__(self, exc_type: typing.Optional[typing.Type[BaseException]], exc_value: typing.Optional[BaseException], traceback: typing.Optional[types.TracebackType]) -> None: ...
    # System.Void Windows.Media.Capture.Frames.MultiSourceMediaFrameReference::Close()
    def close(self) -> None: ...
    # Windows.Media.Capture.Frames.MediaFrameReference Windows.Media.Capture.Frames.MultiSourceMediaFrameReference::TryGetFrameReferenceBySourceId(System.String)
    def try_get_frame_reference_by_source_id(self, source_id: str, /) -> typing.Optional[MediaFrameReference]: ...

@typing.final
class VideoMediaFrame(winrt.system.Object):
    # Windows.Media.VideoFrame Windows.Media.Capture.Frames.VideoMediaFrame::GetVideoFrame()
    def get_video_frame(self) -> windows_media.VideoFrame: ...
    # Windows.Media.Devices.Core.CameraIntrinsics Windows.Media.Capture.Frames.VideoMediaFrame::get_CameraIntrinsics()
    @_property
    def camera_intrinsics(self) -> windows_media_devices_core.CameraIntrinsics: ...
    # Windows.Media.Capture.Frames.DepthMediaFrame Windows.Media.Capture.Frames.VideoMediaFrame::get_DepthMediaFrame()
    @_property
    def depth_media_frame(self) -> DepthMediaFrame: ...
    # Windows.Graphics.DirectX.Direct3D11.IDirect3DSurface Windows.Media.Capture.Frames.VideoMediaFrame::get_Direct3DSurface()
    @_property
    def direct3d_surface(self) -> windows_graphics_directx_direct3d11.IDirect3DSurface: ...
    # Windows.Media.Capture.Frames.MediaFrameReference Windows.Media.Capture.Frames.VideoMediaFrame::get_FrameReference()
    @_property
    def frame_reference(self) -> MediaFrameReference: ...
    # Windows.Media.Capture.Frames.InfraredMediaFrame Windows.Media.Capture.Frames.VideoMediaFrame::get_InfraredMediaFrame()
    @_property
    def infrared_media_frame(self) -> InfraredMediaFrame: ...
    # Windows.Graphics.Imaging.SoftwareBitmap Windows.Media.Capture.Frames.VideoMediaFrame::get_SoftwareBitmap()
    @_property
    def software_bitmap(self) -> windows_graphics_imaging.SoftwareBitmap: ...
    # Windows.Media.Capture.Frames.VideoMediaFrameFormat Windows.Media.Capture.Frames.VideoMediaFrame::get_VideoFormat()
    @_property
    def video_format(self) -> VideoMediaFrameFormat: ...

@typing.final
class VideoMediaFrameFormat(winrt.system.Object):
    # Windows.Media.Capture.Frames.DepthMediaFrameFormat Windows.Media.Capture.Frames.VideoMediaFrameFormat::get_DepthFormat()
    @_property
    def depth_format(self) -> DepthMediaFrameFormat: ...
    # System.UInt32 Windows.Media.Capture.Frames.VideoMediaFrameFormat::get_Height()
    @_property
    def height(self) -> winrt.system.UInt32: ...
    # Windows.Media.Capture.Frames.MediaFrameFormat Windows.Media.Capture.Frames.VideoMediaFrameFormat::get_MediaFrameFormat()
    @_property
    def media_frame_format(self) -> MediaFrameFormat: ...
    # System.UInt32 Windows.Media.Capture.Frames.VideoMediaFrameFormat::get_Width()
    @_property
    def width(self) -> winrt.system.UInt32: ...

